export { Hash } from './lib/hash';
export { CRC32Hash } from './lib/crc32-hash';
export { CRC32CHash } from './lib/crc32c-hash';
export { MD5Hash } from './lib/md5-hash';
export { SHA256Hash } from './lib/sha256-hash';
export { CryptoHash } from './lib/crypto-hash';
export { NodeHash } from './lib/node-hash';
/**
 * Small, fast worker for CRC32, CRC32c and MD5 Hashes
 */
export declare const CryptoWorker: {
    id: string;
    name: string;
    module: string;
    version: any;
    options: {
        crypto: {};
    };
};
/**
 * Large worker for full complement of Cryptographic Hashes
 * bundles the full crypto.js library
 */
export declare const CryptoJSWorker: {
    id: string;
    name: string;
    module: string;
    version: any;
    options: {
        cryptojs: {};
    };
};
export { encodeNumber, encodeHex, encodeBase64 } from './lib/utils/digest-utils';
export { asciiToBase64, base64ToAscii } from './lib/utils/base64-utils';
//# sourceMappingURL=index.d.ts.map