import { concatenateArrayBuffersAsync } from '@loaders.gl/loader-utils';
export class Hash {
  constructor() {
    let options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    this.name = void 0;
    this.options = void 0;
    this.hashBatches = this.hashBatches.bind(this);
  }
  async preload() {
    return;
  }
  hashBatches(asyncIterator) {
    try {
      var _this = this;
      let encoding = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'base64';
      return async function* () {
        var _this$options$crypto, _this$options$crypto$;
        const arrayBuffers = [];
        for await (const arrayBuffer of asyncIterator) {
          arrayBuffers.push(arrayBuffer);
          yield arrayBuffer;
        }
        const output = await _this.concatenate(arrayBuffers);
        const hash = await _this.hash(output, encoding);
        (_this$options$crypto = _this.options.crypto) === null || _this$options$crypto === void 0 ? void 0 : (_this$options$crypto$ = _this$options$crypto.onEnd) === null || _this$options$crypto$ === void 0 ? void 0 : _this$options$crypto$.call(_this$options$crypto, {
          hash
        });
      }();
    } catch (e) {
      return Promise.reject(e);
    }
  }
  async concatenate(asyncIterator) {
    return await concatenateArrayBuffersAsync(asyncIterator);
  }
}
//# sourceMappingURL=hash.js.map