import { Hash } from "./hash.js";
import md5WASM from "./algorithms/md5-wasm.js";
import { encodeHex } from "./utils/digest-utils.js";
export class MD5Hash extends Hash {
  constructor() {
    let options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    super();
    this.name = 'md5';
    this.options = void 0;
    this.options = options;
  }
  async hash(input, encoding) {
    const md5Promise = new Promise((resolve, reject) => md5WASM(input).then(resolve).catch(reject));
    const hex = await md5Promise;
    return encodeHex(hex, encoding);
  }
}
//# sourceMappingURL=md5-hash.js.map