import { asciiToBase64, base64ToAscii } from "./base64-utils.js";
export function encodeNumber(number, encoding) {
  switch (encoding) {
    case 'hex':
      return convertNumberToHex(number);
    case 'base64':
      return convertHexToBase64(convertNumberToHex(number));
    default:
      throw new Error(encoding);
  }
}
export function encodeHex(hex, encoding) {
  switch (encoding) {
    case 'hex':
      return hex;
    case 'base64':
      return convertHexToBase64(hex);
    default:
      throw new Error(encoding);
  }
}
export function encodeBase64(base64, encoding) {
  switch (encoding) {
    case 'hex':
      return convertBase64ToHex(base64);
    case 'base64':
      return base64;
    default:
      throw new Error(encoding);
  }
}
function convertHexToBase64(hexstring) {
  if (hexstring.length % 2 !== 0) {
    hexstring = `0${hexstring}`;
  }
  const matches = hexstring.match(/\w{2}/g) || [];
  const string = matches.map(a => String.fromCharCode(parseInt(a, 16))).join('');
  return asciiToBase64(string) || '';
}
function convertBase64ToHex(base64String) {
  return [...base64ToAscii(base64String)].map(c => c.charCodeAt(0).toString(16).padStart(2, '0')).join('');
}
function convertNumberToHex(cipher) {
  const hexString = cipher.toString(16);
  return hexString === '0' ? `0${hexString}` : hexString;
}
//# sourceMappingURL=digest-utils.js.map